Bug 171010 - Updated port security/rubygem-net-ssh
Summary: Updated port security/rubygem-net-ssh
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-24 20:00 UTC by Nick Dewing
Modified: 2013-01-08 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.60 KB, patch)
2012-08-24 20:00 UTC, Nick Dewing
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Dewing 2012-08-24 20:00:06 UTC
sysutils/rubygem-chef PORTVERSION 10.12.0 requires the gem net-ssh ~> 2.2.2.  I've updated the port to reflect this.

I also migrated the ports to the new options framework while I was updating the port.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: sysutils/rubygem-chef PORTVERSION 10.12.0 requires the gem net-ssh ~> 2.2.2.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-24 20:00:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2012-08-25 01:28:18 UTC
Responsible Changed
From-To: ruby->jgh

I'll take it.
Comment 3 Jason Helfman freebsd_committer 2012-09-04 22:16:50 UTC
Responsible Changed
From-To: jgh->freebsd-ports-bug

back to the pool
Comment 4 Jason Helfman freebsd_committer 2012-09-04 22:34:28 UTC
Responsible Changed
From-To: freebsd-ports-bug->freebsd-ports-bugs

back to the pool
Comment 5 Edwin Groothuis freebsd_committer 2012-09-10 10:20:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 6 Jason Helfman freebsd_committer 2013-01-03 18:34:49 UTC
Responsible Changed
From-To: ruby->jgh

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-01-08 00:35:34 UTC
Author: jgh
Date: Tue Jan  8 00:35:19 2013
New Revision: 310059
URL: http://svnweb.freebsd.org/changeset/ports/310059

Log:
  - update security/rubygem-net-ssh to 2.2.2,2 [1]
  - update devel/rubygem-mixlib-authentication to 1.3.0 [2]
  - update devel/rubygem-highline to 1.6.15 [3]
  - update sysutils/rubygem-chef to 10.16.4 [4]
  
  PR:		171010 [1]
  PR:		173646 [2]
  PR:		173647 [3]
  PR:		171005 [4]
  Submitted by: nickdewing@gmail.com [1,4]
  Submitted by: maintainer, renchap@cocoa-x.com [2,4], renchap@cocoa-x.com [3]

Modified:
  head/devel/rubygem-highline/Makefile
  head/devel/rubygem-highline/distinfo
  head/devel/rubygem-mixlib-authentication/Makefile
  head/devel/rubygem-mixlib-authentication/distinfo
  head/security/rubygem-net-ssh/Makefile
  head/security/rubygem-net-ssh/distinfo
  head/sysutils/rubygem-chef/Makefile
  head/sysutils/rubygem-chef/distinfo
  head/sysutils/rubygem-chef/files/chef_client.in

Modified: head/devel/rubygem-highline/Makefile
==============================================================================
--- head/devel/rubygem-highline/Makefile	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/devel/rubygem-highline/Makefile	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,17 +1,13 @@
-# New ports collection makefile for:	rubygem-highline
-# Date created:		    4 October 2007
-# Whom:					Philip M. Gollucci <pgollucci@p6m7g8.com>
-#
+# Created by: Philip M. Gollucci <pgollucci@p6m7g8.com>
 # $FreeBSD$
-#
 
 PORTNAME=	highline
-PORTVERSION=	1.6.2
+PORTVERSION=	1.6.15
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG
 
 MAINTAINER=	ruby@FreeBSD.org
-COMMENT=	A high-level IO library for command-line interfaces
+COMMENT=	High-level IO library for command-line interfaces
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes

Modified: head/devel/rubygem-highline/distinfo
==============================================================================
--- head/devel/rubygem-highline/distinfo	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/devel/rubygem-highline/distinfo	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/highline-1.6.2.gem) = 96d503686df39c2426597c6af4695a0ecac8fe9294174ccda33638701654f52b
-SIZE (rubygem/highline-1.6.2.gem) = 56320
+SHA256 (rubygem/highline-1.6.15.gem) = a1925472c2395c897354e66334891b9347887886181a6e5b6a55a44dfda39cc6
+SIZE (rubygem/highline-1.6.15.gem) = 218624

Modified: head/devel/rubygem-mixlib-authentication/Makefile
==============================================================================
--- head/devel/rubygem-mixlib-authentication/Makefile	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/devel/rubygem-mixlib-authentication/Makefile	Tue Jan  8 00:35:19 2013	(r310059)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mixlib-authentication
-PORTVERSION=	1.1.4
+PORTVERSION=	1.3.0
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG
 

Modified: head/devel/rubygem-mixlib-authentication/distinfo
==============================================================================
--- head/devel/rubygem-mixlib-authentication/distinfo	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/devel/rubygem-mixlib-authentication/distinfo	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/mixlib-authentication-1.1.4.gem) = 6684362ac2b42e58c73f6982aea1d459d0ea57bfc64364679ac51aeb41b1420a
-SIZE (rubygem/mixlib-authentication-1.1.4.gem) = 17920
+SHA256 (rubygem/mixlib-authentication-1.3.0.gem) = ef0bb04f4d4e7cc7fab1f63a9ce08c5a1d1ebca70303db1eaf5ab3a16e2cb7b0
+SIZE (rubygem/mixlib-authentication-1.3.0.gem) = 19456

Modified: head/security/rubygem-net-ssh/Makefile
==============================================================================
--- head/security/rubygem-net-ssh/Makefile	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/security/rubygem-net-ssh/Makefile	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,13 +1,10 @@
-# New ports collection makefile for:	rubygem-net-ssh
-# Date created:				14 January 2006
-# Whom:					Roderick van Domburg <r.s.a.vandomburg@student.utwente.nl>
-#
+# Created by: Roderick van Domburg <r.s.a.vandomburg@student.utwente.nl>
 # $FreeBSD$
 #
 # Remeber to check sysutils/rubygem-chef
 
 PORTNAME=	net-ssh
-PORTVERSION=	2.1.4
+PORTVERSION=	2.2.2
 PORTEPOCH=	2
 CATEGORIES=	security rubygems
 MASTER_SITES=	RG
@@ -15,15 +12,20 @@ MASTER_SITES=	RG
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Non-interactive SSH processing
 
-OPTIONS=	PROMPT_PASSPHRASES "Prompt for passphrases on keys" On
+OPTIONS_DEFINE=	PROMPT_PASSPHRASES
+PROMPT_PASSPHRASES_DESC=	Prompt for passphrases on keys
 OPTIONSFILE?=	${PORT_DBDIR}/rubygem-${PORTNAME}/options
 
+OPTIONS_DEFAULT=	PROMPT_PASSPHRASES
+
 # to get RUBY_SITEARCHLIBDIR
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes
 RUBYGEM_AUTOPLIST=	yes
 
-.if !defined(WITHOUT_PROMPT_PASSPHRASES)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MPROMPT_PASSPHRASES}
 RUN_DEPENDS+=	rubygem-ruby-termios>=0:${PORTSDIR}/comms/rubygem-ruby-termios
 .endif
 

Modified: head/security/rubygem-net-ssh/distinfo
==============================================================================
--- head/security/rubygem-net-ssh/distinfo	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/security/rubygem-net-ssh/distinfo	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/net-ssh-2.1.4.gem) = d73091fa095c8df5adc12e5c3fd5bc097ac05780a5c4565f8f86e8859967dc89
-SIZE (rubygem/net-ssh-2.1.4.gem) = 132096
+SHA256 (rubygem/net-ssh-2.2.2.gem) = 211cf80d5d5805ca59723708a3cdfe43fa4dc30e5f86177a108f8cc2cd623487
+SIZE (rubygem/net-ssh-2.2.2.gem) = 133120

Modified: head/sysutils/rubygem-chef/Makefile
==============================================================================
--- head/sysutils/rubygem-chef/Makefile	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/sysutils/rubygem-chef/Makefile	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,34 +1,31 @@
-# Ports collection makefile for:	rubygem-chef
-# Date created:				19 Mar 2010
-# Whom:					Renaud Chaput <renchap@cocoa-x.com>
-#
+# Created by: Renaud Chaput <renchap@cocoa-x.com>
 # $FreeBSD$
-#
 
 PORTNAME=	chef
-PORTVERSION=	0.10.8
-PORTREVISION=	1
+PORTVERSION=	10.16.4
 CATEGORIES=	sysutils
 MASTER_SITES=	RG
 
 MAINTAINER=	renchap@cocoa-x.com
 COMMENT=	A systems integration framework. Client part
 
-RUN_DEPENDS=	rubygem-mixlib-log>=1.3.0:${PORTSDIR}/devel/rubygem-mixlib-log \
-		rubygem-mixlib-config>=1.1.2:${PORTSDIR}/devel/rubygem-mixlib-config \
-		rubygem-mixlib-cli>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-cli \
-		rubygem-mixlib-authentication>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-authentication \
+RUN_DEPENDS=	rubygem-bunny>=0.6.0:${PORTSDIR}/net/rubygem-bunny \
+		rubygem-erubis>=0:${PORTSDIR}/www/rubygem-erubis \
+		rubygem-highline>=1.6.9:${PORTSDIR}/devel/rubygem-highline \
 		rubygem-json>=1.4.4:${PORTSDIR}/devel/rubygem-json146 \
-		rubygem-uuidtools>=0:${PORTSDIR}/devel/rubygem-uuidtools \
-		rubygem-highline>=0:${PORTSDIR}/devel/rubygem-highline \
+		rubygem-mixlib-authentication>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-authentication \
+		rubygem-mixlib-cli>=1.1.0:${PORTSDIR}/devel/rubygem-mixlib-cli \
+		rubygem-mixlib-config>=1.1.2:${PORTSDIR}/devel/rubygem-mixlib-config \
+		rubygem-mixlib-log>=1.3.0:${PORTSDIR}/devel/rubygem-mixlib-log \
+		rubygem-mixlib-shellout>=1.0.0:${PORTSDIR}/devel/rubygem-mixlib-shellout \
 		rubygem-moneta>=0:${PORTSDIR}/devel/rubygem-moneta \
-		rubygem-erubis>=0:${PORTSDIR}/www/rubygem-erubis \
-		rubygem-rest-client>=1.0.4:${PORTSDIR}/www/rubygem-rest-client \
-		rubygem-bunny>=0.6.0:${PORTSDIR}/net/rubygem-bunny \
-		rubygem-ohai>=0.6.0:${PORTSDIR}/sysutils/rubygem-ohai \
-		rubygem-net-ssh>=2.1.3:${PORTSDIR}/security/rubygem-net-ssh \
+		rubygem-net-ssh>=2.2.2:${PORTSDIR}/security/rubygem-net-ssh \
 		rubygem-net-ssh-multi>=1.1.0:${PORTSDIR}/security/rubygem-net-ssh-multi \
-		rubygem-treetop>=1.4.9:${PORTSDIR}/devel/rubygem-treetop
+		rubygem-ohai>=0.6.0:${PORTSDIR}/sysutils/rubygem-ohai \
+		rubygem-rest-client>=1.0.4:${PORTSDIR}/www/rubygem-rest-client \
+		rubygem-treetop>=1.4.9:${PORTSDIR}/devel/rubygem-treetop \
+		rubygem-uuidtools>=0:${PORTSDIR}/devel/rubygem-uuidtools \
+		rubygem-yajl-ruby>=1.1.0:${PORTSDIR}/devel/rubygem-yajl-ruby
 
 USE_RUBY=		yes
 USE_RUBYGEMS=		yes
@@ -40,7 +37,22 @@ PLIST_FILES=	bin/chef-client \
 		bin/shef \
 		bin/knife
 
+MAN1=		knife.1 knife-bootstrap.1 knife-client.1 knife-configure.1 knife-cookbook.1 \
+		knife-cookbook-site.1 knife-data-bag.1 knife-environment.1 knife-exec.1 \
+		knife-index.1 knife-node.1 knife-role.1 knife-search.1 knife-ssh.1 knife-status.1 \
+		knife-tag.1 shef.1
+MAN8=		chef-client.8 chef-solo.8
+
 SUB_LIST=	RUBY=${RUBY}
 USE_RC_SUBR=	chef_client
 
+post-install:
+.if !defined(NO_INSTALL_MANPAGES)
+.for n in 1 8
+.for f in ${MAN${n}}
+	${INSTALL_DATA} ${PREFIX}/${GEM_LIB_DIR}/distro/common/man/man${n}/${f} ${PREFIX}/man/man${n}
+.endfor
+.endfor
+.endif
+
 .include <bsd.port.mk>

Modified: head/sysutils/rubygem-chef/distinfo
==============================================================================
--- head/sysutils/rubygem-chef/distinfo	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/sysutils/rubygem-chef/distinfo	Tue Jan  8 00:35:19 2013	(r310059)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/chef-0.10.8.gem) = 0a1ea2ee4b22a2933d2ab60164fec21b41425abb6bb4d36e558ae91c857e1a0c
-SIZE (rubygem/chef-0.10.8.gem) = 381952
+SHA256 (rubygem/chef-10.16.4.gem) = 42424ddbcbed716ffc1863d033a1e4f5446b3922f5cd31280423f9779f54bd7f
+SIZE (rubygem/chef-10.16.4.gem) = 811008

Modified: head/sysutils/rubygem-chef/files/chef_client.in
==============================================================================
--- head/sysutils/rubygem-chef/files/chef_client.in	Tue Jan  8 00:05:16 2013	(r310058)
+++ head/sysutils/rubygem-chef/files/chef_client.in	Tue Jan  8 00:35:19 2013	(r310059)
@@ -25,7 +25,14 @@ load_rc_config $name
 : ${chef_client_splay="0"}
 : ${chef_client_logfile="/var/log/chef-client.log"}
 : ${chef_client_loglevel="info"}
-: ${chef_client_pidfile="/var/run/chef-client.pid"}
+
+if [ -f "$chef_client_configfile" ]
+	then
+		pidfile=`awk '/^[ \t]*pid_file[ \t]+/ { print $2 }' ${chef_client_configfile}`
+		: ${chef_client_pidfile=$pidfile}
+	else
+		: ${chef_client_pidfile="/var/run/chef-client.pid"}
+fi
 
 if [ -n "$chef_client_nodename" ]
 	then
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Jason Helfman freebsd_committer 2013-01-08 00:35:57 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!